Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/gammu: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Tue, 04 Nov 2014 13:24:02 +0000 (UTC)

http://wammu.eu
Gammu provides an abstraction layer for cell phones access
---
  testing/gammu/APKBUILD | 66 ++++++++++++++++++++++++++++++++++++++++++++++++++
  1 file changed, 66 insertions(+)
  create mode 100644 testing/gammu/APKBUILD
diff --git a/testing/gammu/APKBUILD b/testing/gammu/APKBUILD
new file mode 100644
index 0000000..73c73f7
--- /dev/null
+++ b/testing/gammu/APKBUILD
_at_@ -0,0 +1,66 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=gammu
+pkgver=1.33.0
+pkgrel=0
+pkgdesc="Gammu provides an abstraction layer for cell phones access"
+url="http://wammu.eu/"
+arch="all"
+license="GPL2"
+depends="dialog curl bluez mysql-client postgresql-client"
+depends_dev="unixodbc-dev libdbi libintl postgresql-dev \
+	     bluez-dev mysql-dev libusb-dev curl-dev"
+makedepends="cmake gettext doxygen $depends_dev"
+install=""
+subpackages="$pkgname-smsd:_smsd $pkgname-doc lib$pkgname:_lib $pkgname-dev py-$pkgname:_py"
+source="http://sourceforge.net/projects/${pkgname}/files/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake . -DBUILD_SHARED_LIBS=ON \
+		-DCMAKE_INSTALL_PREFIX="/usr" || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+_lib() {
+	cd "$_builddir"
+	pkgdesc="Gammu C libraries"
+	mkdir -p "$subpkgdir"/usr/lib/ || return 1
+	mv "$pkgdir"/usr/lib/lib*.so* "$subpkgdir"/usr/lib/
+}
+
+_py() {
+	cd "$_builddir"
+	pkgdesc="Python gammu module"
+	mkdir -p "$subpkgdir"/usr/lib/python2.7/site-packages/ || return 1
+	mv "$pkgdir"/usr/lib/python2.7/site-packages/"$pkgname" "$subpkgdir"/usr/lib/python2.7/site-packages/
+}
+
+_smsd() {
+	cd "$_builddir"
+	pkgdesc="Gammu SMS daemon"
+	mkdir -p "$subpkgdir"/usr/bin/ || return 1
+	mv "$pkgdir"/usr/bin/gammu-smsd \
+	   "$pkgdir"/usr/bin/gammu-smsd-monitor \
+	   "$pkgdir"/usr/bin/gammu-smsd-inject "$subpkgdir"/usr/bin
+}
+
+md5sums="3f46afcc16829175d2d9060ac15813e8  gammu-1.33.0.tar.bz2"
+sha256sums="b326223e36a334dbaed68252a9cf2d90fd898d6de4d1085dcf9c2320881aece3  gammu-1.33.0.tar.bz2"
+sha512sums="42252a36c7ad5a2945fcf23fcb1b5bb0201d27e8830d3b4a7f4c36bf00f12f5a0f7797e17098bda8d526d4ddc3b1808c0786dfae0feef9424516fa68bf2f3f1e  gammu-1.33.0.tar.bz2"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Nov 04 2014 - 13:24:02 GMT